{
	"folders": [
		{
			"path": ".."
		}
	],
    "settings": {
        "cSpell.words": [
            "CHOCLATEY",
            "GENHTML",
            "GENTHML",
            "Grott",
            "Hashnode",
            "LCOV",
            "Mateusz",
            "PLANTUML",
            "Perlak",
            "Roadmap",
            "Schyler",
            "Stackoverflow",
            "Youtube",
            "appbar",
            "commandline",
            "cupertino",
            "dartdoc",
            "dcdg",
            "fimber",
            "gmail",
            "goldens",
            "iuml",
            "junitreport",
            "mkdir",
            "mockito",
            "mycoverage",
            "mygoldens",
            "mymetrics",
            "prepdir",
            "puml",
            "sdks",
            "skinparams",
            "tojunit"
        ],
        "[dart]": {
		// Automatically format code on save and during typing of certain characters
		// (like `;` and `}`).
		"editor.formatOnSave": true,
		"editor.formatOnType": true,

		// Draw a guide line at 80 characters, where Dart's formatting will wrap code.
		"editor.rulers": [80],

		// Disables built-in highlighting of words that match your selection. Without
		// this, all instances of the selected text will be highlighted, interfering
		// with Dart's ability to highlight only exact references to the selected variable.
		"editor.selectionHighlight": false,

		// By default, VS Code prevents code completion from popping open when in
		// "snippet mode" (editing placeholders in inserted code). Setting this option
		// to `false` stops that and allows completion to open as normal, as if you
		// weren't in a snippet placeholder.
		"editor.suggest.snippetsPreventQuickSuggestions": false,

		// By default, VS Code will pre-select the most recently used item from code
		// completion. This is usually not the most relevant item.
		//
		// "first" will always select top item
		// "recentlyUsedByPrefix" will filter the recently used items based on the
		//     text immediately preceding where completion was invoked.
		"editor.suggestSelection": "first",

		// Allows pressing <TAB> to complete snippets such as `for` even when the
		// completion list is not visible.
		"editor.tabCompletion": "onlySnippets",

		// By default, VS Code will populate code completion with words found in the
		// current file when a language service does not provide its own completions.
		// This results in code completion suggesting words when editing comments and
		// strings. This setting will prevent that.
		"editor.wordBasedSuggestions": false,
	},
    "dart.embedDevTools": true,
    "dart.showDevToolsDebugToolBarButtons": true,
    "dart.showDartPadSampleCodeLens": true,
    "dart.showDartDeveloperLogs": true,
    "dart.flutterScreenshotPath":"./screenshots",
    "dart.lineLength": 80,
    "dart.devToolsReuseWindows": true,
    "dart.enableSnippets": true,
    "dart.devToolsBrowser": "default",
    "dart.promptToGetPackages": true,
    "dart.showMainCodeLens": true,
    "dart.showTestCodeLens": true,
    "dart.analysisServerFolding": true,
    "dart.autoImportCompletions": true,
    "dart.devToolsTheme": "light",


    // Causes the debug view to automatically appear when a breakpoint is hit. This
	// setting is global and not configurable per-language.
    "debug.openDebug": "openOnDebugBreak",

    "workbench.activityBar.visible": true,
    "editor.renderWhitespace": "all",
    "editor.fontSize": 16,
    "editor.letterSpacing": 0,
     "editor.fontFamily": "Roboto Mono",
     "editor.suggestFontSize": 16,
     "editor.suggestLineHeight": 28,
     "terminal.integrated.fontSize": 16,
     "terminal.integrated.lineHeight": 1.5,
     "terminal.integrated.cursorBlinking": false,
     "terminal.integrated.cursorStyle": "line",
     "editor.emptySelectionClipboard": false,
     "editor.quickSuggestionsDelay": 0,
      "editor.formatOnPaste": true,
      "diffEditor.ignoreTrimWhitespace": false,






    },
    "extensions": {
        "recommendations": [
            "bierner.emojisense",
            "formulahendry.auto-close-tag",
            "formulahendry.auto-rename-tag",
            "mcright.auto-save",
            "slevesque.vscode-autohotkey",
            "hookyqr.beautify",
            "aaron-bond.better-comments",
            "notzaki.vscode-bookdown",
            "alefragnani.bookmarks",
            "coenraads.bracket-pair-colorizer",
            "streetsidesoftware.code-spell-checker",
            "codestream.codestream",
            "naumovs.color-highlight",
            "dart-code.dart-code",
            "oscarcs.dart-syntax-highlighting-only",
            "deerawan.vscode-dash",
            "editorconfig.editorconfig",
            "adamvoss.vscode-languagetool-en",
            "usernamehw.errorlens",
            "dart-code.flutter",
            "circlecodesolution.ccs-flutter-color",
            "localizely.flutter-intl",
            "andrijarubelj.flutterpubopen",
            "vsls-contrib.gistfs",
            "kumar-harsh.graphql-for-vscode",
            "kisstkondoros.vscode-gutter-preview",
            "gurayyarar.imagesprites",
            "spacek33z.vscode-open-in-gitfork",
            "jebbs.plantuml",
            "jeroen-meijer.pubspec-assist",
            "everettjf.pubspec-dependency-search",
            "bigmogician.puzzle-vscode",
            "alexdima.vscode-lcov",
            "yog.yog-plantuml-highlight"
        ]
    }
}